commit 3a841513dd6869ec82dd3a885708b845d6686387
Author: freddy77 <freddy77>
Date:   Fri Feb 27 10:07:34 2009 +0000

    fix possible format problems

diff --git a/ChangeLog b/ChangeLog
index d3df53d..1d44bfc 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Feb 27 11:07:20 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/log.c src/tds/query.c: fix possible format problems
+
 Thu Feb 26 20:04:00 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac src/dblib/bcp.c:
 	- fixes for MingW
@@ -1314,4 +1317,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2729 2009/02/26 19:04:10 freddy77 Exp $
+$Id: ChangeLog,v 1.2730 2009/02/27 10:07:34 freddy77 Exp $
diff --git a/src/tds/log.c b/src/tds/log.c
index 7b814e4..e7401b7 100644
--- a/src/tds/log.c
+++ b/src/tds/log.c
@@ -66,7 +66,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: log.c,v 1.11 2009/01/16 20:27:58 jklowden Exp $");
+TDS_RCSID(var, "$Id: log.c,v 1.12 2009/02/27 10:07:34 freddy77 Exp $");
 
 /* for now all messages go to the log */
 int tds_debug_flags = TDS_DBGFLAG_ALL | TDS_DBGFLAG_SOURCE;
@@ -318,7 +318,7 @@ tdsdump_dump_buf(const char* file, unsigned int level_line, const char *msg, con
 		/*
 		 * print the offset as a 4 digit hex number
 		 */
-		p += sprintf(p, "%04x", i);
+		p += sprintf(p, "%04x", ((unsigned int) i) & 0xffffu);
 
 		/*
 		 * print each byte in hex
diff --git a/src/tds/query.c b/src/tds/query.c
index 59a7c44..08314cc 100644
--- a/src/tds/query.c
+++ b/src/tds/query.c
@@ -46,7 +46,7 @@
 
 #include <assert.h>
 
-TDS_RCSID(var, "$Id: query.c,v 1.230 2009/01/23 10:37:36 freddy77 Exp $");
+TDS_RCSID(var, "$Id: query.c,v 1.231 2009/02/27 10:07:34 freddy77 Exp $");
 
 static void tds_put_params(TDSSOCKET * tds, TDSPARAMINFO * info, int flags);
 static void tds7_put_query_params(TDSSOCKET * tds, const char *query, size_t query_len);
@@ -927,7 +927,8 @@ tds7_build_param_def_from_params(TDSSOCKET * tds, const char* query, size_t quer
 static void
 tds7_put_query_params(TDSSOCKET * tds, const char *query, size_t query_len)
 {
-	size_t len, i, num_placeholders;
+	size_t len;
+	int i, num_placeholders;
 	const char *s, *e;
 	char buf[24];
 	const char *const query_end = query + query_len;

